%define		own	asterisk
%define		grp	asterisk
%define		sown	root
%define		sgrp	root
%define		rawname	findmefollow

Name:		freepbx-%{rawname}
Version:	17.0.4.10
Release:	1%{?dist}
Summary:	Follow Me

License:	See Freepbx Readme
Source0:	https://mirror.freepbx.org/modules/packages/%{rawname}/%{rawname}-%{version}.tgz

Requires:	freepbx-core >= 13.0.113.3
Requires:	freepbx >= 13.0.117
Requires:	freepbx-recordings >= 3.3.8
Requires:	freepbx-userman >= 14.0.3.16

Provides:	freepbx-%{rawname} = %{version}-%{release}

BuildArch:	noarch

%description
Much like a ring group, but works on individual extensions. When someone calls the extension, it can be setup to ring for a number of seconds before trying to ring other extensions and/or external numbers, or to ring all at once, or in other various 'hunt' configurations. Most commonly used to ring someone's cell phone if they don't answer their extension.

%prep
%setup -q -n %{rawname}

# Controlliamo la eventuale presenza di particolarita' da gestire
for ddd in agi-bin bin sbin etc astetc images moh hooks ; do
	[ -e $ddd ] && echo presente $ddd, va gestito && exit 1
done

# Non mi va di lanciare gpg a destra e a manca, solo per venire a sapere che ho modificato i moduli
%{__rm} module.sig

# Delete backup files
find . -name '*.orig' -exec rm '{}' ';'
find . -name '.git*' -exec rm -rf '{}' ';'

# fix dir perms
find . -type d -exec chmod 755 '{}' ';'
find . -type f -exec chmod 644 '{}' ';'
#find . -type f -regex '.*\.\(php\|html\)$' -exec chmod 644 '{}' ';'

%install
%{__install} -d %{buildroot}%{_datadir}/asterisk/sounds
%{__cp} -aR sounds/* %{buildroot}%{_datadir}/asterisk/sounds

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/assets
%{__ln_s} %{_datadir}/freepbx/admin/modules/%{rawname}/assets %{buildroot}%{_datadir}/freepbx/admin/assets/%{rawname}

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}
%{__cp} -aR `ls | egrep -v '^(agi-bin|bin|etc|sounds|moh|images|LICENSE|README.md)'` %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%doc README.md
%defattr(0644,%{sown},%{sgrp},0755)

%attr(0644,%{sown},%{sgrp}) %{_datadir}/asterisk/sounds/en/*
%{_datadir}/freepbx/admin/assets/*
%{_datadir}/freepbx/admin/modules/%{rawname}

%changelog
* Mon Dec 02 2024 Luigi Iotti <asterisk@iotti.biz> - 17.0.4.10
- Updated version

* Fri Jun 23 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.23
- Updated version

* Thu Jun 08 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.21
- Updated version

* Wed May 31 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.20
- Updated version

* Wed Jan 11 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.19
- Updated version

* Mon Nov 14 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.18
- Updated version

* Tue Jun 14 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.17
- Updated version

* Mon Mar 21 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.13
- Updated version

* Wed Jan 19 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.10
- Initial build
